/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 信任签异步通知 POST /api/AlipayEcsignNotify/SignorderNotify */
export async function signorderNotify(
  body: {
    /** 签约订单号 */
    SignOrderNo?: string;
    /** 发起签约的业务流水号 */
    OutOrderNo?: string;
    /** 订单状态：INIT-初始化，FAIL-签约失败，SUCCESS-签约成功 */
    OrderStatus?: string;
    /** 签约方案码 */
    SolutionCode?: string;
    /** 创建时间 */
    GmtCreate?: string;
    /** 更新时间 */
    GmtModified?: string;
  },
  options?: API.RequestConfig
) {
  const formData = new FormData();

  Object.keys(body).forEach((ele) => {
    const item = (body as any)[ele];

    if (item !== undefined && item !== null) {
      formData.append(
        ele,
        typeof item === 'object' && !(item instanceof File) ? JSON.stringify(item) : item
      );
    }
  });

  return request<any>('/api/AlipayEcsignNotify/SignorderNotify', {
    method: 'POST',
    data: formData,
    requestType: 'form',
    ...(options || {}),
  });
}
